Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class RC5Parameters

    java.lang.Object
      |
      +--iaik.pkcs.pkcs11.parameters.RC5Parameters

All Implemented Interfaces:
  java.lang.Cloneable, Parameters

Direct Known Subclasses:
  RC5CbcParameters, RC5MacGeneralParameters

public class RC5Parameters
extends java.lang.Object
implements Parameters

This class encapsulates parameters for the algorithms Mechanism.RC5_ECB and Mechanism.RC5_MAC.

Version:
  1.0
Author:
  Karl Scheibelhofer

Field Summary
`protected long` | `rounds_` The number of rounds of RC5 encipherment.
`protected long` | `wordSize_` The wordsize of RC5 cipher in bytes.

Constructor Summary
`RC5Parameters(long wordSize, long rounds)` Create a new RC5Parameters object with the given word size and given rounds.

Method Summary
`java.lang.Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(java.lang.Object otherObject)` Compares all member variables of this object with the other object.
`java.lang.Object` | `getPKCS11ParamsObject()` Get this parameters object as an object of the CK_RC5_PARAMS class.
`long` | `getRounds()` Get number of rounds of RC5 encipherment.
`long` | `getWordSize()` Get the wordsize of RC5 cipher in bytes.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setMacLength(long rounds)` Set the number of rounds of RC5 encipherment.
`void` | `setWordSize(long wordSize)` Set the wordsize of RC5 cipher in bytes.
`java.lang.String` | `toString()` Returns the string representation of this object.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### wordSize_

    protected long wordSize_

  The wordsize of RC5 cipher in bytes.

### rounds_

    protected long rounds_

  The number of rounds of RC5 encipherment.

Constructor Detail

### RC5Parameters

    public RC5Parameters(long wordSize,
                         long rounds)

  Create a new RC5Parameters object with the given word size and given rounds.
  Parameters:
    `wordSize` - The wordsize of RC5 cipher in bytes.
    `rounds` - The number of rounds of RC5 encipherment.

Method Detail

### clone

    public java.lang.Object clone()

  Create a (deep) clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone of this object.

### getWordSize

    public long getWordSize()

  Get the wordsize of RC5 cipher in bytes.
  Returns:
    The wordsize of RC5 cipher in bytes.

### getRounds

    public long getRounds()

  Get number of rounds of RC5 encipherment.
  Returns:
    The number of rounds of RC5 encipherment.

### getPKCS11ParamsObject

    public java.lang.Object getPKCS11ParamsObject()

  Get this parameters object as an object of the CK_RC5_PARAMS class.
  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Returns:
    This object as a CK_RC5_PARAMS object.

### setWordSize

    public void setWordSize(long wordSize)

  Set the wordsize of RC5 cipher in bytes.
  Parameters:
    `wordSize` - The wordsize of RC5 cipher in bytes.

### setMacLength

    public void setMacLength(long rounds)

  Set the number of rounds of RC5 encipherment.
  Parameters:
    `rounds` - The number of rounds of RC5 encipherment.

### toString

    public java.lang.String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(java.lang.Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The hash code of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.18
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2004, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved. version 1.2.18